<?php if (!defined('PmWiki')) exit();
/*  Copyright 2004 Patrick R. Michaud (pmichaud@pobox.com)
    This file is part of PmWiki; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.  See pmwiki.php for full details.

    This script defines additional settings needed when the 'latexbook'
    skin is loaded.

    Changes for Wikibook XML are Copyright 2006-2010 John Rankin
*/

global $LinkPageExistsFmt, $UrlLinkTextFmt, 
  $GroupPrintHeaderFmt, $GroupPrintFooterFmt,
  $GroupHeaderFmt, $GroupFooterFmt, $HTTPHeaders, $EnableBookIndex,
  $TbookMetadataFmt, $PageCSSListFmt,
  $CopyrightClassFmt, $CopyrightStyleFmt,
  $TmplFmt, $HTMLHeaderFmt, $MetaRobots, $XMLEncodingFmt, $XMLLanguage;

header("Content-type: text/plain");
SDV($XMLEncodingFmt, 'iso-8859-1');
SDV($XMLLanguage,    'en');
SDV($CopyrightClassFmt, 'cc'); SDV($CopyrightStyleFmt, '');

SetTmplDisplay('PageBlurbFmt', 0);          
SetTmplDisplay('PageIndexFmt', ($EnableBookIndex ? 1 : 0));
LoadPageTemplate($pagename, "$SkinDir/latexbook.tmpl");

$HTMLHeaderFmt = array();
$PageCSSListFmt = array();
$MetaRobots    = false;
if($TbookMetadataFmt) $HTMLHeaderFmt = $TbookMetadataFmt;

array_pop($TmplFmt['Start']);
array_shift($TmplFmt['End']);

$HTTPHeaders = array(
  "Expires: Tue, 01 Jan 2002 00:00:00 GMT",
  "Cache-Control: no-store, no-cache, must-revalidate",
  "Content-type: text/plain; charset=$XMLEncodingFmt;");

?>
